using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Tester
{
    public partial class frmDynDNSExerciser : Form
    {
        public frmDynDNSExerciser()
        {
            InitializeComponent();
        }

        private void btnCheckIP_Click(object sender, EventArgs e)
        {
            txtIPAddress.Text = KSL.DynDNSUpdater.CheckIP();
        }

        private void btnUpdateIP_Click(object sender, EventArgs e)
        {
            string result = KSL.DynDNSUpdater.UpdateIP(txtUsername.Text, txtPassword.Text, txtIPAddress.Text, txtHostname.Text);
            MessageBox.Show(result);
        }

        private void btnCheckUpdateIP_Click(object sender, EventArgs e)
        {
            string result = KSL.DynDNSUpdater.UpdateIP(txtUsername.Text, txtPassword.Text, txtHostname.Text);
            MessageBox.Show(result);
        }

        private void btnResolveHostname_Click(object sender, EventArgs e)
        {
            try
            {
                System.Net.IPHostEntry iphe = System.Net.Dns.GetHostEntry(txtHostname.Text);
                txtIPAddress.Text = iphe.AddressList[0].ToString();
            }
            catch (Exception ex)
            {
                // a DNS resolution error
                txtIPAddress.Text = ex.Message;
            }
        }

    }
}